import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
  StreamingBlobPayloadOutputTypes,
} from "@smithy/types";
import { GetTileInput, GetTileOutput } from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer, $Command };
export interface GetTileCommandInput extends GetTileInput {}
export interface GetTileCommandOutput
  extends Pick<GetTileOutput, Exclude<keyof GetTileOutput, "BinaryFile">>,
    __MetadataBearer {
  BinaryFile?: StreamingBlobPayloadOutputTypes;
}
export declare class GetTileCommand extends $Command<
  GetTileCommandInput,
  GetTileCommandOutput,
  SageMakerGeospatialClientResolvedConfig
> {
  readonly input: GetTileCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetTileCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: SageMakerGeospatialClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<GetTileCommandInput, GetTileCommandOutput>;
  private serialize;
  private deserialize;
}
